using System;

namespace Zadatak2._2
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string[] s = Console.ReadLine().Split();
            int[] niz = new int[n];
            int prom = 0;
            bool tac = true;
            for (int i = 0; i < n; i++)
            {
                niz[i] = int.Parse(s[i]);
            }
            for (int i = 1; i < n; i++)
            {
                if (niz[i - 1] <= niz[i])
                {
                    prom = niz[i - 1];
                    niz[i - 1] = niz[i];
                    niz[i] = prom;
                    tac = false;
                    break;
                }
            }
            if (tac)
            {
                prom = niz[n - 1];
                niz[n - 1] = niz[n - 2];
                niz[n - 2] = prom;
            }
            for (int i = 0; i < n; i++)
            {
                Console.Write(niz[i] + " ");
            }
        }
    }
}